inherit_gem:
  gitlab-styles:
    - rubocop-default.yml

inherit_from:
  <% unless ENV['REVEAL_RUBOCOP_TODO'] == '1' %>
  - '.rubocop_todo.yml'
  <% end %>

AllCops:
  NewCops: enable
  SuggestExtensions: false
  TargetRubyVersion: 3.0

Lint/HashCompareByIdentity:
  Enabled: true

Lint/RedundantSafeNavigation:
  Enabled: true

Style/ClassEqualityComparison:
  Enabled: true

Lint/ShadowingOuterLocalVariable:
  Enabled: false

Metrics/AbcSize:
  Max: 18

Metrics/MethodLength:
  Max: 20

Rails:
  Enabled: false

Style/ModuleFunction:
  Enabled: false

Style/SignalException:
  Enabled: false

Layout/SpaceBeforeFirstArg:
  Enabled: false

RSpec/MultipleMemoizedHelpers:
  Enabled: false

CodeReuse/ActiveRecord:
  Enabled: false

Style/OperatorMethodCall:
  Enabled: false

# disable for now as it might break automatic publish
Gemspec/RequireMFA:
  Enabled: false
